Cruisers Forum
 


Join CruisersForum Today

Reply
 
Thread Tools Rate Thread Display Modes
Old 05-03-2012, 08:44   #1
Registered User

Join Date: Jun 2009
Location: Morbihan Brittany France
Boat: Hallberg Rassy 37
Posts: 64
Centos 6 Dependencies

I've some trouble installing OpenCPN on Centos-6. I used the stable RPM and a default out-of-the-box CentOS-6 install.

While I added all extra repository to get missing package, I still have two unresolved dependencies.
  • libstdc++.so.6(GLIBCXX_3.4.14) est nécessaire pour opencpn-2.5.0-1.i386
  • libz.so.1(ZLIB_1.2.3.3) est nécessaire pour opencpn-2.5.0-1.i386
Obviously those packages are already installed, but with a more recent version. Ignoring dependencies OpenCPN install and look like working.

Question: Does someone run OpenCPN on CentOS-6 ?

Note: I wanted to replace Ubuntu because of the very long support CentOS propose.
__________________
fulup is offline   Reply With Quote
Old 05-03-2012, 09:16   #2
Registered User

Join Date: Feb 2010
Location: On the go. Not in Prague.
Posts: 4,016
Re: Centos 6 Dependencies

fulup...
In these two cases the more recent libraries should not be a problem (except the dependencies reported). I have a CentOS 6 machine here and OpenCPN works well on it as it does on most other Linux distributions.
If you are otherwise happy with Ubuntu, just wait for 12.04 LTS out in April, which we will sure focus on making work well with the next OpenCPN release and will be supported for 5 years - it should be long enough for your machine to die or be replaced with something more recent most likely...

Pavel
__________________
nohal is offline   Reply With Quote
Old 05-03-2012, 09:29   #3
Registered User

Join Date: Jun 2009
Location: Morbihan Brittany France
Boat: Hallberg Rassy 37
Posts: 64
Re: Centos 6 Dependencies

As I fail to find GPSd for CentOS, I will probably have to rollback to Ubuntu. Which is unfortunate for two reasons:
- as you noted the next LTS is only due in April, which in my case translates in reinstalling in one month (further more as it is a new hardware, old LTS does not support neither the wifi, neither the glidepad)
- Centos is more stable, less version, less patches, less... which is great for a computer that spend most of is time on a boat, where you don't want the update manager to popup each time you connect.
__________________
fulup is offline   Reply With Quote
Reply

Thread Tools
Display Modes Rate This Thread
Rate This Thread:

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is On
HTML code is Off
Trackbacks are Off
Pingbacks are Off
Refbacks are Off


Similar Threads
Thread Thread Starter Forum Replies Last Post
Centos 6 Dependencies fulup OpenCPN 2 05-03-2012 09:29



Copyright 2002- Social Knowledge, LLC All Rights Reserved.

All times are GMT -7. The time now is 21:56.


Google+
Powered by vBulletin® Version 3.8.8 Beta 1
Copyright ©2000 - 2017, vBulletin Solutions, Inc.
Social Knowledge Networks
Powered by vBulletin® Version 3.8.8 Beta 1
Copyright ©2000 - 2017, vBulletin Solutions, Inc.

ShowCase vBulletin Plugins by Drive Thru Online, Inc.